POST api/SocialHistoryDrugs

Creates a new drug use entry or updates an existing one.

Request Information

URI Parameters

None.

Body Parameters

Model used to create or modify a drug abuse entry.

SocialHistoryDrugModel
NameDescriptionTypeAdditional information
Name

Name of the social history drug (Required).

string

None.

IsDefault

Indicates if this social history drug is the default or not (Required).

boolean

None.

SortOrder

Indicates the sort order of this social history drug in the list (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isDefault": true,
  "sortOrder": 3,
  "id": "37370a0a-fb5b-452e-9501-2863a0803672",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<SocialHistoryDrugModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryDrugs">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">37370a0a-fb5b-452e-9501-2863a0803672</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>3</SortOrder>
</SocialHistoryDrugModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'SocialHistoryDrugModel'.

Response Information

Resource Description

SocialHistoryDrugModel
NameDescriptionTypeAdditional information
Name

Name of the social history drug (Required).

string

None.

IsDefault

Indicates if this social history drug is the default or not (Required).

boolean

None.

SortOrder

Indicates the sort order of this social history drug in the list (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "isDefault": true,
  "sortOrder": 3,
  "id": "d7943696-6468-4c54-84f7-4a016890effd",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<SocialHistoryDrugModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.SocialHistoryDrugs">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">d7943696-6468-4c54-84f7-4a016890effd</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>3</SortOrder>
</SocialHistoryDrugModel>